From: Martin Kepplinger <martin.kepplinger@puri.sm>
Date: Wed, 28 Oct 2020 20:30:35 +0100
Subject: arm64: dts: imx8mq-librem5: add RGB pwmleds

this should be ready when the labels are a stable interface / documented.
---
 arch/arm64/boot/dts/freescale/imx8mq-librem5.dtsi | 22 ++++++++++++++++++++++
 1 file changed, 22 insertions(+)

diff --git a/arch/arm64/boot/dts/freescale/imx8mq-librem5.dtsi b/arch/arm64/boot/dts/freescale/imx8mq-librem5.dtsi
index 357324a..23d081a 100644
--- a/arch/arm64/boot/dts/freescale/imx8mq-librem5.dtsi
+++ b/arch/arm64/boot/dts/freescale/imx8mq-librem5.dtsi
@@ -54,6 +54,28 @@ vol-up {
 		};
 	};
 
+	pwmleds {
+		compatible = "pwm-leds";
+
+		blue {
+			label = "blue:status";
+			max-brightness = <248>;
+			pwms = <&pwm2 0 50000>;
+		};
+
+		green {
+			label = "green:status";
+			max-brightness = <248>;
+			pwms = <&pwm4 0 50000>;
+		};
+
+		red {
+			label = "red:status";
+			max-brightness = <248>;
+			pwms = <&pwm3 0 50000>;
+		};
+	};
+
 	leds {
 		compatible = "gpio-leds";
 		pinctrl-names = "default";
